Subject: Re: bug#16355: Crash/Hang when restoring via Mac "resume" [Mac/NS]

From: Alan Third <[email-masked]>
Date: Thu, 26 May 2016 21:16:28 +0100

David Reitter <[email-masked]> writes:

> If started manually from Finder (rather than automatically after
> logging in), Emacs hangs (1).
>
> Sometimes, after a successful reboot and resume of the application, it
> hangs when quitting (2).
>
> Usually, when restarting after a boot (with resume), Emacs hangs in
> ns_term_init (3).  [Note that this is with a vanilla GNU Emacs --with-ns,
> current HEAD, on OS X 10.9.]
>
> The problem is easily reproducible, and I have countless crash reports
> from users.  It does not occur with an Emacs 23-based build.
>
> (2) and (3) are in a [autoreleasepool release].
>
> If it is a retain/release issue, NSZombieEnabled=YES won't bring 
> up anything during normal runs, and 
> I haven't figured out how to do it during resume on 10.9 (without
> forking Emacs from within itself, which makes the error go away).

Hi David, I know that Anders fixed a bug some time ago where Emacs was
crashing due to it trying to process input before it had properly
started up. These stack traces look awfully like that may be the case
here.

Can you confirm whether these crashes are still happening?
-- 
Alan Third